[arch-commits] Commit in gksu/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Oct 13 04:09:11 EDT 2008


    Date: Monday, October 13, 2008 @ 04:09:11
  Author: jgc
Revision: 15348

Merged revisions 15347 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/gksu/trunk

........
  r15347 | jgc | 2008-10-13 10:08:56 +0200 (Mon, 13 Oct 2008) | 2 lines
  
  upgpkg: gksu 2.0.0-4
      Use a login shell to start root terminal. Otherwise root terminals will launch a user terminal when one is active, or the other way around
........

Modified:
  gksu/repos/extra-x86_64/	(properties)
  gksu/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)


Property changes on: gksu/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /gksu/trunk:1-5577
   + /gksu/trunk:1-15347

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-10-13 08:08:56 UTC (rev 15347)
+++ extra-x86_64/PKGBUILD	2008-10-13 08:09:11 UTC (rev 15348)
@@ -4,13 +4,13 @@
 
 pkgname=gksu	
 pkgver=2.0.0
-pkgrel=3
+pkgrel=4
 pkgdesc="A graphical frontend for su"
 arch=(i686 x86_64)
 url="http://www.nongnu.org/gksu/index.html"
 license=('GPL')
 depends=('libgksu>=2.0.7')
-makedepends=('gtk-doc' 'pkgconfig' 'nautilus>=2.22.5.1')
+makedepends=('gtk-doc' 'pkgconfig' 'nautilus>=2.24.0')
 options=('!libtool')
 source=(http://people.debian.org/~kov/gksu/${pkgname}-${pkgver}.tar.gz
 	16_fix_ftbfs.patch
@@ -21,10 +21,13 @@
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
-  sed -i -e 's|/usr/bin/x-terminal-emulator|gnome-terminal|g' gksu.desktop || return 1
+  sed -i -e 's|/usr/bin/x-terminal-emulator|-l gnome-terminal|g' gksu.desktop || return 1
   patch -Np1 -i ${srcdir}/16_fix_ftbfs.patch || return 1
   patch -Np1 -i ${srcdir}/20_move_to_extensions-2.0.patch || return 1
-  autoconf || return 1 
+  libtoolize --force || return 1
+  aclocal || return 1
+  autoconf || return 1
+  automake || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static || return 1
   make || return 1




More information about the arch-commits mailing list